<?php declare(strict_types=1);
namespace DiviManagerPro\Action;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Service\Profile as ProfileService;
use DiviManagerPro\Service\Platform as PlatformService;
use DiviManager\Helper\Sodium;

class CoreFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $core = new Core;
        $core->setSodium($registry->getService(Sodium::class));
        $core->setPlatformService($registry->getService(PlatformService::class));
        $core->setProfileService($registry->getService(ProfileService::class));

        return $core;
    }
}
