<?php declare(strict_types=1);
namespace DiviManagerPro\Action;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManagerPro\Service\Platform as PlatformService;
use DiviManagerPro\Service\PlatformProfile as PlatformProfileService;
use DiviManager\Service\Profile as ProfileService;
use DiviManager\Service\Site as SiteService;
use DiviManager\Helper\Sodium;

class PlatformFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $action = new Platform;
        $action->setSodium($registry->getService(Sodium::class));
        $action->setSiteService($registry->getService(SiteService::class));
        $action->setPlatformService($registry->getService(PlatformService::class));
        $action->setProfileService($registry->getService(ProfileService::class));
        $action->setPlatformProfileService($registry->getService(PlatformProfileService::class));

        return $action;
    }
}
