<?php declare(strict_types=1);
namespace DiviManagerPro;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
use DiviManager\DiviManager;

class AdminFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $admin = new Admin();
        $admin->setRegistry($registry);
        $admin->setOption($registry->getService(Option::class));
        $admin->setDebug($registry->getService(Option::class)->isDebug());
        $divimanager = $registry->getService(\DiviManager\DiviManager::class);
        $admin->setSlug($divimanager::SLUG);

        return $admin;
    }
}
