<?php declare(strict_types=1);
namespace DiviManagerPro\Model;

/**
 * Model an individual server
 *
 * should contain all information necessary for connecting with the server, from the divimanager host
 */
class Server
{
    /**
     * @var int our id from the database
     */
    protected $id;

    /**
     * @var String A name by which to reference this site, also functions as a label
     */
    protected $name;

    /**
     * @var String IP address, ipv4, of the server
     */
    protected $ip;

    /**
     * @var String IP address, ipv6, of the server if available
     */
    protected $ipv6;

    /**
     * @var String Server ID identifying this server on the platform
     */
    protected $serverID;

    public function __construct()
    {
    }

    public function toArray ()
    {
        return [
            'id' => $this->getId(),
            'name' => $this->getName(),
            'ip' => $this->getIp(),
            'ipv6' => $this->getIpv6(),
            'serverID' => $this->getServerID(),
        ];
    }

    public function fromArray (array $data)
    {
        $this->setId($data['id']);
        $this->setName($data['name']);
        $this->setIp($data['ip']);
        $this->setIpv6($data['ipv6']);
        $this->setServerID($data['serverID']);

        return $this;
    }

    public function getId()
    {
        return $this->id;
    }
    public function setId($newId)
    {
        $this->id = $newId;
        return $this;
    }

    public function getName()
    {
        return $this->name;
    }
    public function setName($newName)
    {
        $this->name = $newName;
        return $this;
    }

    public function getIp()
    {
        return $this->ip;
    }
    public function setIp($newIp)
    {
        $this->ip = $newIp;
        return $this;
    }

    public function getIpv6()
    {
        return $this->ipv6;
    }
    public function setIpv6($newIpv6)
    {
        $this->ipv6 = $newIpv6;
        return $this;
    }

    public function getServerID()
    {
        return $this->serverID;
    }
    public function setServerID($newServerID)
    {
        $this->serverID = $newServerID;
        return $this;
    }
}
