<?php declare(strict_types=1);
namespace DiviManagerPro\Page;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManagerPro\DiviManagerPro;
use DiviManager\Service\Site;
use DiviManager\Service\Profile;
use DiviManagerPro\Service\PlatformProfile;

class CreateFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $create = new Create;

        $create->setManagerPro($registry->getService(DiviManagerPro::class));
        $create->setSiteService($registry->getService(Site::class));
        $create->setProfileService($registry->getService(Profile::class));
        $create->setPlatformProfileService($registry->getService(PlatformProfile::class));

        return $create;
    }
}
