<?php declare(strict_types=1);
namespace DiviManagerPro\Page;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Service\Site as SiteService;
use DiviManagerPro\Service\Platform as PlatformService;
use DiviManagerPro\Service\PlatformServer as PlatformServerService;
use DiviManagerPro\Service\Server as ServerService;
use DiviManagerPro\Table\PlatformInstall;
use DiviManagerPro\Table\PlatformServer as PlatformServerTable;

class PlatformFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $page = new Platform;

        $page->setPlatformService($registry->getService(PlatformService::class));
        $page->setSiteService($registry->getService(SiteService::class));
        $page->setPlatformServerService($registry->getService(PlatformServerService::class));
        $page->setPlatformTable($registry->getService(PlatformInstall::class));
        $page->setPlatformServerTable($registry->getService(PlatformServerTable::class));
        $page->setServerService($registry->getService(ServerService::class));

        return $page;
    }
}
