<?php declare(strict_types=1);
namespace DiviManagerPro\Page;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\DbDelta;
use DiviManager\Service\Profile as ProfileService;
use DiviManager\Service\ProfilePlugin;
use DiviManager\Service\Theme;
use DiviManager\Service\Site;
use DiviManager\Service\Plugin;
use DiviManagerPro\Service\Platform;
use DiviManagerPro\Service\PlatformProfile;

class ProfileFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $profile = new Profile;
        $profile->setProfileService($registry->getService(ProfileService::class));
        $profile->setThemeService($registry->getService(Theme::class));
        $profile->setSiteService($registry->getService(Site::class));
        $profile->setPluginService($registry->getService(Plugin::class));
        $profile->setProfilePluginService($registry->getService(ProfilePlugin::class));
        $profile->setPlatformService($registry->getService(Platform::class));
        $profile->setPlatformProfileService($registry->getService(PlatformProfile::class));

        return $profile;
    }
}
