<?php declare(strict_types=1);
namespace DiviManagerPro\Page;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use DiviManager\Helper;
use DiviManagerPro\Service\Server as ServerService;
use DiviManagerPro\Service\Platform as PlatformService;
use DiviManagerPro\Service\PlatformServer as PlatformServerService;

/**
 * Display server information
 */
class Server
{
    public function __construct()
    {
    }

    public function setServerService(ServerService $s)
    {
        $this->serverService = $s;
    }

    public function setPlatformService(PlatformService $p)
    {
        $this->platformService = $p;
    }

    public function setPlatformServerService(PlatformServerService $p)
    {
        $this->platformServerService = $p;
    }

    /**
     * Main page
     */
    public function index ()
    {
?>
    <div class="wrap">
        <h1 class="wp-heading-inline"><?php echo esc_html( get_admin_page_title() ); ?></h1>
<?php
        $this->servers();
?>
	</div>
<?php
    }

    // Add screen options
    public function screen_option ()
    {
        $option = 'per_page';
        $args   = [
            'label'   => __( 'Sites' ),
            'default' => 100,
            'option'  => 'sites_per_page'
        ];
    }

    /**
     * Show servers
     */
    public function servers ()
    {
        $platform_id = $_GET['platform'];
        $platform = $this->platformService->platform($platform_id);
        $servers = $this->serverService->getRecords();

        echo <<<EOHTML
<p>{$platform->getName()}</p>
<p>Following servers are registered for this platform.</p>
EOHTML;
        if (0 === count($servers)) {
            echo '<p>No active servers.  Please add a server.</p>';
        }
?>
<form id="server">
	<table id="servers">
        <thead>
        <tr>
            <th></th>
            <th>Name</th>
            <th>IP</th>
            <th>IPv6</th>
        </tr>
        </thead>
		<tbody>
        <tr>
            <td><input type="submit" value="Add" /></td>
			<td><input name="name" type="text" /></td>
			<td><input name="ip" type="text" /></td>
			<td><input name="ipv6" type="text" /></td>
        </tr>
		</tbody>
	</table>
</form>
<?php
    }
}
