<?php declare(strict_types=1);
namespace DiviManagerPro\Page;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManagerPro\Service\Server as ServerService;
use DiviManagerPro\Service\Platform as PlatformService;
use DiviManagerPro\Service\PlatformServer as PlatformServerService;

class ServerFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $page = new Server;

        $page->setServerService($registry->getService(ServerService::class));
        $page->setPlatformService($registry->getService(PlatformService::class));
        $page->setPlatformServerService($registry->getService(PlatformServerService::class));

        return $page;
    }
}
