<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Action;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use DiviManager\Registry;
use DiviManager\Action\AbstractAction;
use DiviManager\Service\Site as SiteService;
use DiviManager\Helper\Option;
use DiviManagerPro\Reporter\Service\Email as EmailService;

/**
 * Send a report for a site
 */
class Reporter extends AbstractAction
{
    /**
     * Actions
     */
	const ACTION_REPORT = 'site_report';

    public function setSiteService(SiteService $sm)
    {
        $this->siteService = $sm;
    }

    public function setEmailService(EmailService $sm)
    {
        $this->emailService = $sm;
    }

    public function setOption(Option $sm)
    {
        $this->option = $sm;
    }

    public function registerActions($worker)
    {
        $worker->actions[self::ACTION_REPORT] = [$this, 'sendReport'];
    }

    /**
     * Use the email service to send the email
     */
    public function sendReport ($site, $email = null)
    {
        return $this->emailService->sendReport($site, $email);
    }
}
