<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Action;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Service\Site as SiteService;
use DiviManager\Action\AbstractActionFactory;
use DiviManager\Helper\Option;
use DiviManagerPro\Reporter\Service\Email as EmailService;

class ReporterFactory extends AbstractActionFactory
{
    public function __construct()
    {
        $this->prototype = new Reporter;
    }

    public function create(Registry $registry)
    {
        //$reporter = parent::create($registry);
        $reporter = new Reporter();
        $reporter->setEmailService($registry->getService(EmailService::class));
        $reporter->setSiteService($registry->getService(SiteService::class));
        $reporter->setOption($registry->getService(Option::class));

        return $reporter;
    }
}
