<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Command;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
use DiviManager\Service\Site as SiteService;
use DiviManagerPro\Reporter\Action\Reporter as ReporterAction;
use DiviManagerPro\Reporter\Service\Reporter as ReporterService;

class ReportFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $command = new Report();
        $command->setSiteService($registry->getService(SiteService::class));
        $command->setReporterAction($registry->getService(ReporterAction::class));
        $command->setReporterService($registry->getService(ReporterService::class));

        return $command;
    }
}
