<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Page;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
use DiviManager\Service\Site as SiteService;
use DiviManagerPro\DiviManagerPro;
use DiviManagerPro\Reporter\Service\Reporter as ReporterService;

class MainFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $main = new Main();
        $main->setOption($registry->getService(Option::class));
        $main->setDiviManagerPro($registry->getService(DiviManagerPro::class));
        $main->setReporterService($registry->getService(ReporterService::class));

        return $main;
    }
}
