<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Page;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
use DiviManager\Service\Site as SiteService;
use DiviManagerPro\DiviManagerPro;
use DiviManagerPro\Reporter\Service\Reporter as ReporterService;
use DiviManagerPro\Reporter\Action\Reporter as ReporterAction;

class ReportFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $report = new Report();
        $report->setOption($registry->getService(Option::class));
        $report->setDiviManagerPro($registry->getService(DiviManagerPro::class));
        $report->setSiteService($registry->getService(SiteService::class));
        $report->setReporterService($registry->getService(ReporterService::class));
        $report->setReporterAction($registry->getService(ReporterAction::class));

        return $report;
    }
}
