<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Shortcode;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

/**
 * Gravity Forms report information
 */
class GfReport extends AbstractShortcode
{   
    public function __construct()
    {
        $this->addCode('forms', 'Single block showing Gravity Forms information', ['report', 'gf', ['title', 'unread_count', 'total_entries']]);
    }

    /**
     * Block for form report
     */
    public function forms()
    {
        $data = $this->site->getData();
        $gravity = $data['report']['gf'];

        if ('N/A' == $gravity) {
            return 'Gravity Forms is not installed or activated';
        }

        $contentHTML =<<<EOHTML
            <table>
            <thead>
            <tr><th>Title</th><th>Unread</th><th>Total</th></tr>
            </thead>
            <tbody>
EOHTML;

                    foreach ($gravity as $form) {
                        $contentHTML .= sprintf('<tr><td>%s</td><td>%s</td><td>%s</td></tr>', $form['title'], $form['unread_count'], $form['total_entries']);
                    }
                    $contentHTML .=<<<EOHTML
            </tbody>
            </table>
EOHTML;
        return $contentHTML;
    }
}
