<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Shortcode;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use WP_Site_Health;

/**
 * WP Core report information
 *
 * @see https://developer.wordpress.org/reference/files/wp-admin/update-core.php
 */
class WpCore extends AbstractShortcode
{
    public function __construct()
    {   
        $this->addCode('core.version.check', 'Check current version of WP on the site', ['report', 'wpCore', 'check']);
        $this->addCode('core.version.current', 'Current WP version', ['report', 'wpCore', 'current']);
        $this->addCode('core.version.latest', 'Latest version of WP', ['report', 'wpCore', 'latest']);
        $this->addCode('posts.recent', 'Recent posts', ['report', 'wpCore', 'posts']);
        $this->addCode('comments.recent', 'Recent comments', ['report', 'wpCore', 'comments']);
        $this->addCode('site.name', 'Site name', ['report', 'wpCore', 'name']);
    }
}
