<?php declare(strict_types=1);
namespace DiviManagerPro\Reporter\Table;

defined( 'ABSPATH' ) or die( 'Unexpected access' );

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;

use DiviManager\Service\Site as SiteService;
use DiviManager\Service\Queue as QueueService;

class SiteFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $site = new Site;

        $site->setSiteService($registry->getService(SiteService::class));
        $site->setQueueService($registry->getService(QueueService::class));

        return $site;
    }
}
