<?php declare(strict_types=1);
namespace DiviManagerPro\Service;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\DbDelta;
use DiviManager\Helper\Option;
use DiviManager\Service\Site as SiteService;

class PlatformFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $platform = new Platform;

        $platform->setWpdb($registry->getService('wpdb'));
        $platform->setDbDelta($registry->getService(DbDelta::class));
        $platform->setSiteService($registry->getService(SiteService::class));

        return $platform;
    }
}
