<?php declare(strict_types=1);
namespace DiviManagerPro\Service;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\DbDelta;
use DiviManager\Service\Profile;

class PlatformProfileFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $service = new PlatformProfile;
        $service->setWpdb($registry->getService('wpdb'));
        $service->setDbDelta($registry->getService(DbDelta::class));
        $service->setProfileService($registry->getService(Profile::class));
        $service->setPlatformService($registry->getService(Platform::class));

        return $service;
    }
}
