<?php declare(strict_types=1);
namespace DiviManagerPro\Table;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\DbDelta;
use DiviManager\Service\Site as SiteService;
use DiviManagerPro\Service\Platform as PlatformService;

class PlatformInstallFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $platform = new PlatformInstall;

        $platform->setWpdb($registry->getService('wpdb'));
        $platform->setPlatformService($registry->getService(PlatformService::class));
        $platform->setSiteService($registry->getService(SiteService::class));

        return $platform;
    }
}
