<?php declare(strict_types=1);
namespace DiviManagerPro\Table;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\DbDelta;
use DiviManagerPro\Service\PlatformServer as PlatformServerService;
use DiviManagerPro\Service\Platform as PlatformService;
use DiviManagerPro\Service\Server as ServerService;

class PlatformServerFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $table = new PlatformServer;

        $table->setPlatformService($registry->getService(PlatformService::class));
        $table->setPlatformServerService($registry->getService(PlatformServerService::class));
        $table->setServerService($registry->getService(ServerService::class));

        return $table;
    }
}
