<?php declare(strict_types=1);
namespace DiviManagerPro\Woocommerce\Command;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
use DiviManagerPro\Woocommerce\Command\Cleanup as CleanupCommand;
use DiviManagerPro\Woocommerce\Woocommerce as DMPWC;
use DiviManager\Service\Site as SiteService;

class CleanupFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $cleanup = new CleanupCommand();
        $cleanup->setDmpwc($registry->getService(DMPWC::class));
        $cleanup->setSiteService($registry->getService(SiteService::class));

        return $cleanup;
    }
}
