<?php declare(strict_types=1);
namespace DiviManagerPro\Woocommerce\Command;

use DiviManagerPro\Woocommerce\Woocommerce as DMPWC;
use DiviManager\Service\Site as SiteService;

/**
 * Interact with DiviManagerPro-woocommerce functionality
 */
class Renewal extends \WP_CLI_Command
{
    /**
     * Set the dmp woocommerce extension class
     */
    public function setDmpwc(DMPWC $dmpwc)
    {
        $this->dmpwc = $dmpwc;
    }

    /**
     * Check if an order is renewal
     * This is for testing
     *
     * ## OPTIONS
     *
     * <order_id>
     * : The id of the order to check.
     *
     * ## EXAMPLES
     *
     *     wp manager wc renewal order_id
     *
     * @subcommand wc renewal
     */
    public function __invoke($args, $assoc_args )
    {
        list($order_id) = $args;
        //$order_id = $assoc_args['order_id'];

        if ($this->dmpwc->order_is_renewal($order_id)) {
            $message = sprintf('Order %s: is renewal', $order_id);
        } else {
            $message = sprintf('Order %s: not renewal', $order_id);
        }

        \WP_CLI::success( $message );
    }
}
