<?php declare(strict_types=1);
namespace DiviManagerPro\Woocommerce;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManager\Helper\Option;
use DiviManager\Service\Site as SiteService;

class FieldFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $option = $registry->getService(Option::class);

        return new Field(
            $registry->getService(Woocommerce::class),
            $option->getOption('woocommerce')['field'],
            $option->getOption('woocommerce')['label'],
            $registry->getService(SiteService::class)
        );
    }
}

