<?php declare(strict_types=1);
namespace DiviManagerPro\Woocommerce\Table;

use DiviManager\ServiceFactoryInterface;
use DiviManager\Registry;
use DiviManagerPro\Woocommerce\Woocommerce;
use DiviManager\Service\Plugin as PluginService;
use DiviManager\Service\Site as SiteService;
//use DiviManager\Helper\DbDelta;

class OrderFactory implements ServiceFactoryInterface
{
    public function create(Registry $registry)
    {
        $orderTable = new Order;

        $orderTable->setDmpwc($registry->getService(Woocommerce::class));
        $orderTable->setPluginService($registry->getService(PluginService::class));
        $orderTable->setSiteService($registry->getService(SiteService::class));

        //$orderTable->setWpdb($registry->getService('wpdb'));
        //$orderTable->setPlatformService($registry->getService(PlatformService::class));
        //$orderTable->setSiteService($registry->getService(SiteService::class));

        return $orderTable;
    }
}
