<?php

namespace DNSMadeEasyAPI\Request;

use GuzzleHttp\Client;

abstract class AbstractRequest
{
    /**
     * @var Client Instance to use for requests
     */
    protected $guzzle;

    /**
     * @var String authentication client id
     */
    protected $clientID;

    /**
     * @var String authentication api key
     */
    protected $apiKey;

    /**
     * @var String authentication secret key
     */
    protected $secretKey;

    public function __construct(Client $client, $siteUrl)
    {
        $this->setClient($client);
        $this->setSiteUrl($siteUrl);
    }

    public function setClient(Client $client)
    {
        $this->client = $client;
    }

    public function setSiteUrl($siteUrl)
    {
        $this->siteUrl = $siteUrl;
    }

    public function setApiKey($apiKey)
    {
        $this->apiKey = $apiKey;
    }

    public function setSecretKey($secretKey)
    {
        $this->secretKey = $secretKey;
    }
}
