<?php

declare(strict_types=1);

namespace ServerPilotAPI\Request;

use GuzzleHttp\Client;

abstract class AbstractRequest
{
    /**
     * @var Client Instance to use for requests
     */
    protected $guzzle;

    /**
     * @var String authentication client id
     */
    protected $clientID;

    /**
     * @var String authentication api key
     */
    protected $apiKey;

    public function __construct(Client $client, $siteUrl)
    {
        $this->setClient($client);
        $this->setSiteUrl($siteUrl);
    }

    public function getClient()
    {
        return $this->client;
    }
    public function setClient(Client $client)
    {
        $this->client = $client;
    }

    public function getSiteUrl()
    {
        return $this->siteUrl;
    }
    public function setSiteUrl($siteUrl)
    {
        $this->siteUrl = $siteUrl;
    }

    public function getClientID()
    {
        return $this->clientID;
    }
    public function setClientID($clientID)
    {
        $this->clientID = $clientID;
    }

    public function getApiKey()
    {
        return $this->apiKey;
    }
    public function setApiKey($apiKey)
    {
        $this->apiKey = $apiKey;
    }
}
