<?php

namespace ServerPilotAPI\Request;

use GuzzleHttp\Client;

// wrapper for the Sysuser API endpoint
class Sysuser extends AbstractRequest
{
    public $endpoint = '/v1/sysusers';
    public function getList()
    {
        $response = $this->client->request('GET', $this->endpoint, [
            'auth' => [$this->clientID, $this->apiKey]
        ]);

        $body = $response->getBody();
        return json_decode($body)->data;

        $response = $this->client->response;
        $sites = [];
        if ('Success' === $response->message) {
            foreach ($response->data as $site) {
                $sites[] = [
                    'id' => $site->id,
                    'name' => $site->name
                ];
            }
        }

        return $sites;
    }

    public function get($id)
    {
        $response = $this->client->request('GET', $this->endpoint . '/' . $id, [
            'auth' => [$this->clientID, $this->apiKey]
        ]);
        return json_decode($response->getBody())->data;
/*
        $user = null;

        if ('Success' === $body->message) {
            $user = [
                'id' => $body->data->id,
                'name' => $body->data->name,
                'serverid' => $body->data->serverid,
            ];
        }

        return $user;
 */
    }

    /**
     * Create a new user on a server
     * response:
     * {
          "actionid": "nnpgQoNzSK11fuTe",
          "data":
          {
            "id": "PPkfc1NECzvwiEBI",
            "name": "derek",
            "serverid": "FqHWrrcUfRI18F0l"
          }
        }
     */
    public function create($server, $name, $password, $sshkey)
    {
        $response = $this->client->post($this->endpoint, [
            'auth' => [$this->clientID, $this->apiKey],
            'json' => [
                'serverid' => $server,
                'name' => $name,
                'password' => $password,
                'sshkey_id' => $sshkey,
            ]
        ]);

        return json_decode($response->getBody());
    }

    public function addKeyToUser($key, $user)
    {
        $response =  $this->client->post($this->endpoint . '/' . $user . '/sshkeys', [
            'auth' => [$this->clientID, $this->apiKey],
            'json' => ['sshkey_id' => $key]
        ]);
        return json_decode($response->getBody());
    }
}
